Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.options
Class FieldDelimiter

    java.lang.Object
      com.servingxml.components.flatfile.options.AbstractDelimiter
          com.servingxml.components.flatfile.options.FieldDelimiter

All Implemented Interfaces:
  Delimiter

    public class FieldDelimiter

extends AbstractDelimiter

Field Summary
`static FieldDelimiter` | `COMMA`
`static FieldDelimiter[]` | `COMMA_ARRAY`
`static FieldDelimiter[]` | `EMPTY_ARRAY`

Fields inherited from class com.servingxml.components.flatfile.options.AbstractDelimiter
`separator`

Fields inherited from interface com.servingxml.components.flatfile.options.Delimiter
`EMPTY_DELIMITER_ARRAY, NULL`

Constructor Summary
`FieldDelimiter(Separator separator)`
`FieldDelimiter(java.lang.String value)`

Method Summary
`static FieldDelimiter[]` | `trimArray(FieldDelimiter[] delimiters)`

Methods inherited from class com.servingxml.components.flatfile.options.AbstractDelimiter
`createByteDelimiterExtractor, createCharDelimiterExtractor, createDelimiterExtractor, equalsString, forReading, forWriting, isEmpty, occursIn, toString, trimArray, writeEndDelimiterTo, writeEndDelimiterTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### COMMA

    public static final FieldDelimiter COMMA

### EMPTY_ARRAY

    public static final FieldDelimiter[] EMPTY_ARRAY

### COMMA_ARRAY

    public static final FieldDelimiter[] COMMA_ARRAY

Constructor Detail

### FieldDelimiter

    public FieldDelimiter(Separator separator)

### FieldDelimiter

    public FieldDelimiter(java.lang.String value)

Method Detail

### trimArray

    public static FieldDelimiter[] trimArray(FieldDelimiter[] delimiters)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD